// Generated by gencpp from file dashgo_tools/check_msgFeedback.msg
// DO NOT EDIT!


#ifndef DASHGO_TOOLS_MESSAGE_CHECK_MSGFEEDBACK_H
#define DASHGO_TOOLS_MESSAGE_CHECK_MSGFEEDBACK_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace dashgo_tools
{
template <class ContainerAllocator>
struct check_msgFeedback_
{
  typedef check_msgFeedback_<ContainerAllocator> Type;

  check_msgFeedback_()
    : accomplished(0.0)  {
    }
  check_msgFeedback_(const ContainerAllocator& _alloc)
    : accomplished(0.0)  {
  (void)_alloc;
    }



   typedef float _accomplished_type;
  _accomplished_type accomplished;





  typedef boost::shared_ptr< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> const> ConstPtr;

}; // struct check_msgFeedback_

typedef ::dashgo_tools::check_msgFeedback_<std::allocator<void> > check_msgFeedback;

typedef boost::shared_ptr< ::dashgo_tools::check_msgFeedback > check_msgFeedbackPtr;
typedef boost::shared_ptr< ::dashgo_tools::check_msgFeedback const> check_msgFeedbackConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::dashgo_tools::check_msgFeedback_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace dashgo_tools

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsFixedSize': True, 'IsMessage': True, 'HasHeader': False}
// {'actionlib_msgs': ['/opt/ros/kinetic/share/actionlib_msgs/cmake/../msg'], 'std_msgs': ['/opt/ros/kinetic/share/std_msgs/cmake/../msg'], 'dashgo_tools': ['/home/eaibot/2022_jsjds/rosbase/dashgo_ws/devel/share/dashgo_tools/msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__doc__', '__eq__', '__format__', '__getattribute__', '__hash__', '__init__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsFixedSize< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
{
  static const char* value()
  {
    return "00dcf0d5008205d95b1f8016ae205cce";
  }

  static const char* value(const ::dashgo_tools::check_msgFeedback_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x00dcf0d5008205d9ULL;
  static const uint64_t static_value2 = 0x5b1f8016ae205cceULL;
};

template<class ContainerAllocator>
struct DataType< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
{
  static const char* value()
  {
    return "dashgo_tools/check_msgFeedback";
  }

  static const char* value(const ::dashgo_tools::check_msgFeedback_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\
#feedback\n\
float32 accomplished\n\
\n\
";
  }

  static const char* value(const ::dashgo_tools::check_msgFeedback_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.accomplished);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct check_msgFeedback_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::dashgo_tools::check_msgFeedback_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::dashgo_tools::check_msgFeedback_<ContainerAllocator>& v)
  {
    s << indent << "accomplished: ";
    Printer<float>::stream(s, indent + "  ", v.accomplished);
  }
};

} // namespace message_operations
} // namespace ros

#endif // DASHGO_TOOLS_MESSAGE_CHECK_MSGFEEDBACK_H
